---
title: AddressErrors.country
slug: Web/API/AddressErrors/country
tags:
  - API
  - AddressErrors
  - Error
  - Payment Request
  - Payment Request API
  - Property
  - Reference
  - Validation
  - country
  - payment
---
<div>{{APIRef("Payment Request API")}}</div>

<p><span class="seoSummary">An object based on {{domxref("AddressErrors")}} includes a <strong><code>country</code></strong> property if during validation of the address the specified value of {{domxref("PaymentAddress.country", "country")}} was determined to be invalid. The value is a string describing the error and should offer suggestions for how to correct it.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>countryError</em> = <em>AddressErrors</em>.country;</pre>

<h3 id="Value">Value</h3>

<p>If an error occurred during validation of the address due to the {{domxref("PaymentAddress.country", "country")}} property having an invalid value, this property is set to a {{domxref("DOMString")}} providing a human-readable error message explaining the validation error.</p>

<p>The text should also include, when possible, advice about how to go about correcting the error.</p>

<p>If the {{domxref("PaymentAddress")}} object's <code>country</code> property was determined to be valid, this property is not included in the dictionary.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Payment','#dom-addresserrors-country','AddressErrors.country')}}</td>
   <td>{{Spec2('Payment')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.AddressErrors.country")}}</p>
</div>
